/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 02/11/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class ObjekModulAplikasiDto {
	
	@NotNull(message = "namaObjekModulAplikasi must be not null")
    private String namaObjekModulAplikasi;
    
    @NotNull(message = "reportDisplay must be not null")
    private String reportDisplay;
    
    private String deskripsiObjek;
    
    @NotNull(message = "isMenu must be not null")
    private Integer isMenu;
    
    private String kdObjekModulAplikasiHead;
    
    private String alamatURLFormObjek;
    
    private Integer noUrutObjek;
    
    @NotNull(message = "statusEnabled must be not null")
    private Boolean statusEnabled;   

}
